﻿#pragma strict

var frontView:Camera;
var backAndSideView:Camera;
var currentCamera:Camera;
var selectedFrontView:boolean;

function Start() {
	frontView = GameObject.FindWithTag("frontView").camera;
	backAndSideView = GameObject.FindWithTag("backAndSideView").camera;
	selectedFrontView = false;
	currentCamera = backAndSideView;
}
 
function OnGUI() {
	if(GUI.Button(new Rect(Screen.width - 120, 20, 100, 30), "Front View")) {
		if (selectedFrontView == false) {
			SelectCamera(frontView);
			selectedFrontView = true;
		}
	}
	
	if(GUI.Button(new Rect(Screen.width - 120, 60, 100, 30), "Back/Side View")) {
		if (selectedFrontView == true) {
			SelectCamera(backAndSideView);
			selectedFrontView = false;
		}
	}
	
	if(GUI.Button(new Rect(20, 20, 100, 30), "increase")) {    
		GameObject.FindWithTag("ball").GetComponent(orbitScript).increaseSpeed();
	}
	
	if(GUI.Button(new Rect(20, 60, 100, 30), "decrease")) {    
		GameObject.FindWithTag("ball").GetComponent(orbitScript).decreaseSpeed();
	}
	
}
  
function SelectCamera (myCamera:Camera) {			
	currentCamera.enabled = false;
	myCamera.enabled = true;
	currentCamera = myCamera;
}